﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.9
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public SQL1 As SQL
	Public rp As RuntimePermissions
	Public shared As String
	Public kvs As KeyValueStore
End Sub

Sub Service_Create
	shared = File.DirInternal
	
	'copia db assets--> interna
	If Not( File.Exists( shared , "DB.db" ) ) Then
		Wait For (File.CopyAsync( File.DirAssets , "DB.db" , shared , "DB.db" )) Complete (Success As Boolean)
		Log("Success: " & Success)
	End If
	
	'inicia db
	If Not( SQL1.IsInitialized ) Then
		SQL1.Initialize( shared , "DB.db", True)
	End If
	
	'inicia kvs
	If Not( kvs.IsInitialized ) Then
		kvs.Initialize( shared , "Data" )
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
